Bug 242011 - pydev plugin should have a pre-configured python environment
Summary: pydev plugin should have a pre-configured python environment
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse-pydev   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Andrew Ferrazzutti
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: FutureFeature, Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-01 08:57 UTC by Ben Konrath
Modified: 2013-12-10 08:36 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-10 08:36:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ben Konrath 2007-06-01 08:57:25 UTC
Description of problem:

The pydev plugin shipped with F7 doesn't ship with a pre-configured python
environment. When I tried to create a project, I got the this message:

"Please configure a Python or Jython interpreter in Window -> Preferences ->
PyDev before creating a new Pydev project"

IMHO this plugin should ship with a pre-configured python environment so that
users don't have to manually add paths the python and jython interpreters.

Version-Release number of selected component (if applicable):

eclipse-pydev-1.3.1-5.fc7.i386

Comment 1 Bug Zapper 2008-05-14 12:42:18 UTC
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Andrew Overholt 2008-05-14 14:05:10 UTC
Note that this should probably be fixed upstream so we're not carrying some
crazy patch.

Comment 3 Mads Kiilerich 2008-05-15 11:42:41 UTC
Problem remains in eclipse-pydev-1.3.14-1.fc9.i386 - please update the version.

The problem does that the full functionality of eclipse and python isn't
apparent to new users, so IMHO the severiy is more than "low".

Upstream can't know how Fedora has packaged python, so I don't think upstream
can solve this. IMHO this looks more like a packaging issue - or rather an issue
that it would be nice if packaging took care of.

But OK; upstream could perhaps provide hooks for specifying defaults...


Comment 4 Jeff Johnston 2008-06-04 21:32:07 UTC
Upstream feature enhancement: 1984851 has been opened at sourceforge.net to
provide a documented interface to set the defaults.



Comment 5 Bug Zapper 2008-06-17 01:20:29 UTC
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 6 Mads Kiilerich 2008-06-17 08:07:41 UTC
Comment 3 and 4 shows that the bug is in Fedora 9 too, and that work is in
progress. 

Bug Zapper: Please unzap

Comment 7 Peter van Egdom 2008-06-18 20:45:52 UTC
Reopening bug as per comment #6. Changing version from "7" to "9".

Comment 9 Bug Zapper 2009-06-09 22:37:42 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 10 Mads Kiilerich 2009-06-10 07:01:26 UTC
Still an issue in Fedora 11 - updating version

Comment 11 Mads Kiilerich 2010-01-19 11:47:56 UTC
By the way: Extra bonus for pre-configuring pylint too ;-)

Comment 12 Bug Zapper 2010-11-04 12:10:38 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 13 Bug Zapper 2010-12-05 07:16:05 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 14 Mads Kiilerich 2010-12-05 20:52:55 UTC
Changing version to rawhide so it won't expire again.

Comment 15 Alexander Kurtakov 2013-12-10 08:36:36 UTC
I consider this done with Pydev 3.0 having auto-configure.


Note You need to log in before you can comment on or make changes to this bug.